Skip to main content

Get table item

POST

A specific table item can be queried using table_handle, key_type, value_type, and key value.Aptos nodes prune account state history according to a configurable retention period. If the requested ledger version has already been pruned, the server returns a 410 response.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
table_handlestringrequired
A pointer value indicating where the table is stored.
Query Parameters
ledger_versioninteger
The ledger version of the transaction to fetch account state from.If no value is provided, the latest version is used.
Request Body
key_typestringrequired
Type of the key
value_typestringrequired
Type of the value
keystringrequired
Key value of the table item. The format of the returned data varies depending on key_type.
Responses
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://aptos-mainnet.nodit.io/v1/tables/0x7d7561f38ada5eb9066f05c6e80df069208c4de472d6414482016d38448d1a7d/item' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'